! Bu program istadı, no, gun 12 ay verisi şeklinde devam eden peşpeşe yıllar ve
! farklı istasyon verilerini okuyup boşlara 9999.9 yazmak için yazılmıştır. Hüseyin Toros 3.2.2008
program verisuz2
   character(len=86)::istadi,s1
   integer::i,j,istno,yil,gun,ios
!   real::a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12
character(len=7)::a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12
   open(unit=1,file="gunmaksi.dat",status="old",action="read")
   open(unit=2,file="gunmaksi.a",status="unknown",action="write")
   print*,"Lutfen Bekleyiniz"

do
   read(unit=1,fmt="(a8,3i7,12a7)",iostat=ios)istadi,istno,yil,gun,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12
   if (ios<0) then
        exit
    end if
   if (gun==0) then
       print*,istadi,yil,gun
       cycle
      else
        if (a1=="") then
a1="999.9"
    end if
        if (a2=="") then
 a2="999.9"
    end if
        if (a3=="") then
a3="999.9"
    end if
        if (a4=="") then
a4="999.9"
    end if
        if (a5=="") then
 a5="999.9"
    end if
        if (a6=="") then
a6="999.9"
    end if
        if (a7=="") then
a7="999.9"
    end if
        if (a8=="") then
a8="999.9"
    end if
        if (a9=="") then
a9="999.9"
    end if
        if (a10=="") then
a10="999.9"
    end if
        if (a11=="") then
a11="999.9"
    end if
        if (a12=="") then
a12="999.9"
    end if
        write(unit=2,fmt="(a8,3i7,3x,12a7)",iostat=ios)istadi,istno,yil,gun,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12
   end if
end do

close (unit=1)

close (unit=2)
end program verisuz2
